# Centralized OkayFace(v1-1)

<mark style="color:green;">`POST`</mark> `https://ekycportaldemo.innov8tif.com/api/ekyc/okayface/v1-1`

#### Request Body

| Name              | Type    | Description                                                  |
| ----------------- | ------- | ------------------------------------------------------------ |
| imageIdCardBase64 | string  | Uncheck 'imageIdCard' to enable this parameter to be working |
| imageBestBase64   | string  | Uncheck 'imageBest' to enable this parameter to be working   |
| livenessDetection | boolean | Set to True - return liveness score                          |
| imageIdCard       | object  | Front id card image                                          |
| imageBest         | object  | Selfie photo                                                 |
| journeyId         | string  | Retrieve from 'Create JourneyID' API                         |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "imageBestLiveness": {
        "probability": 0.9999331,
        "score": 9.612308,
        "quality": 0.6691686
    },
    "request_id": "1591169623008663I8E5268153513648",
    "result_idcard": {
        "confidence": 88.0169
    }
}
```

{% endtab %}
{% endtabs %}

### Input Example in Postman

![image object as input](/files/-M8tQR4sQQYu-iXOX2Js)

![base64 string as input](/files/-M9aRbPBdMMpTXutLDWq)

{% hint style="info" %}
Kindly refer to the page below for the interpretation of the result.

<https://api.innov8tif.com/okayface/1-1-face-verification-v2-2#interpretation-of-result>

Get the Postman Collection\
<https://api.innov8tif.com/emas-ekyc-portal/postman-collection>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/emas-ekyc-portal/centralized-okayface-v1-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
